Update Clarity Landscape Node
curl --request PATCH \
--url https://api.duvo.ai/v2/organizations/{orgId}/clarity/hierarchy/nodes/{nodeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"ownerLabel": "<string>"
}
'import requests
url = "https://api.duvo.ai/v2/organizations/{orgId}/clarity/hierarchy/nodes/{nodeId}"
payload = {
"name": "<string>",
"ownerLabel": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', ownerLabel: '<string>'})
};
fetch('https://api.duvo.ai/v2/organizations/{orgId}/clarity/hierarchy/nodes/{nodeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"processId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"ownerLabel": "<string>",
"sortOrder": 123,
"contentConfirmedAt": "<string>",
"existenceConfirmedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"team": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Clarity
Update Clarity Landscape Node
Rename a process landscape node or update its owner label (team manager or above for team processes; organization admin for areas)
PATCH
/
v2
/
organizations
/
{orgId}
/
clarity
/
hierarchy
/
nodes
/
{nodeId}
Update Clarity Landscape Node
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Body
application/json
Response
Default Response
Available options:
proposed, active Available options:
ai, human Show child attributes
Show child attributes
Was this page helpful?
⌘I